Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

# Interface SwitchTree

All Superinterfaces:
  `StatementTree`, `Tree`

    @Deprecated(since="11",
                forRemoval=true)
    public interface SwitchTree
    extends StatementTree

Deprecated, for removal: This API element is subject to removal in a future version.
Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
A tree node for a 'switch' statement. For example:

       switch ( expression ) {
         cases
       }

Since:
  9

## Nested Class Summary

## Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`List<? extends CaseTree>` | `getCases()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the list of 'case' statements.
`ExpressionTree` | `getExpression()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the expression on which this statement switches.

### Methods declared in interface jdk.nashorn.api.tree.Tree

`accept, getEndPosition, getKind, getStartPosition`

## Method Details

### getExpression

ExpressionTree getExpression()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the expression on which this statement switches.

Returns:
  the switch expression

### getCases

List<? extends CaseTree> getCases()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the list of 'case' statements.

Returns:
  the 'case' statements